Bug 496902 - gettextize in base package needs /usr/share/gettext/{po,intl}
gettextize in base package needs /usr/share/gettext/{po,intl}
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gettext (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 11:25 EDT by Serge Pavlovsky
Modified: 2009-07-19 06:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.17-12.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:21:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Serge Pavlovsky 2009-04-21 11:25:39 EDT
Description of problem:
inttypes_h.m4 and signed.m4 (probably)from /usr/share/gettext/archive.tar.gz dont compile with -Wall -Werror

conftest.cpp:38: error: unused variable 'i'
conftest.cpp:32: error: unused variable 'x'

fixes:
--- inttypes_h.m4~	2009-04-21 18:21:28.000000000 +0300
+++ inttypes_h.m4	2009-04-21 17:56:39.000000000 +0300
@@ -15,7 +15,7 @@
   [AC_TRY_COMPILE(
     [#include <sys/types.h>
 #include <inttypes.h>],
-    [uintmax_t i = (uintmax_t) -1;],
+    [uintmax_t i = (uintmax_t) -1;i=i],
     gl_cv_header_inttypes_h=yes,
     gl_cv_header_inttypes_h=no)])
   if test $gl_cv_header_inttypes_h = yes; then
--- signed.m4~	2009-04-21 18:21:39.000000000 +0300
+++ signed.m4	2009-04-21 17:57:11.000000000 +0300
@@ -9,7 +9,7 @@
 AC_DEFUN([bh_C_SIGNED],
 [
   AC_CACHE_CHECK([for signed], bh_cv_c_signed,
-   [AC_TRY_COMPILE(, [signed char x;], bh_cv_c_signed=yes, bh_cv_c_signed=no)])
+   [AC_TRY_COMPILE(, [signed char x=' ';x=x;], bh_cv_c_signed=yes, bh_cv_c_signed=no)])
   if test $bh_cv_c_signed = no; then
     AC_DEFINE(signed, ,
               [Define to empty if the C compiler doesn't support this keyword.])
Comment 1 Jens Petersen 2009-05-22 03:07:37 EDT
Can you please report it upstream to bugs-gnu-gettext?
Comment 3 Serge Pavlovsky 2009-06-08 16:16:16 EDT
seems like it was fixed in 0.16
not sure why i didnt ran gettextize in several years or how/if it compiled before
anyway, now i have other problem: gettextize --intl requires /usr/share/gettext/{intl,po}, which are part of gettext-devel:
/usr/bin/gettextize: line 636: cd: intl: Нет такого файла или каталога
/usr/bin/gettextize: line 665: cd: po: Нет такого файла или каталога
guess its 'no such file or directory' in C locale
so, /usr/bin/gettextize should be in gettext-devel or should require gettext-devel or something like that
Comment 4 Bug Zapper 2009-06-09 10:19:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jens Petersen 2009-06-21 22:50:09 EDT
(In reply to comment #3)
> anyway, now i have other problem: gettextize --intl requires
> /usr/share/gettext/{intl,po}, which are part of gettext-devel:
> /usr/bin/gettextize: line 636: cd: intl: Нет такого файла или каталога
> /usr/bin/gettextize: line 665: cd: po: Нет такого файла или каталога
> guess its 'no such file or directory' in C locale
> so, /usr/bin/gettextize should be in gettext-devel or should require
> gettext-devel or something like that
Comment 6 Jens Petersen 2009-06-21 22:58:21 EDT
(oops)

I moved po and intl to the base package then.
Thanks for the report (please use a new bug next time
for different issues - so we can close old bugs).

Could you please test if this package:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1428452
works for you?

I can try to push an update to f11 later.
Comment 7 Jens Petersen 2009-06-22 01:44:55 EDT
(In reply to comment #6)
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1428452

Unfortunately gettext %check is failing in the koji rawhide build...
Comment 8 Fedora Update System 2009-06-23 00:25:02 EDT
gettext-0.17-12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gettext-0.17-12.fc11
Comment 9 Fedora Update System 2009-06-26 23:01:00 EDT
gettext-0.17-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gettext'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7047
Comment 10 Fedora Update System 2009-07-19 06:21:31 EDT
gettext-0.17-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.